% % % % % metadata
% Tento program je součástí diplomové práce práce:
% Metody pro zpracování termovizních snímků s detekcí stanovené oblasti obličeje
% Autor: Dana Kolářová
% ID: 124347
% Škola: VUT Brno
% Fakulta: FEKT
% Obor: Biomedicínské inženýrství a bioinformatika
%************************************************
% Aplikace je spustitelná v prostředi Matlab.
% Použitá verze : Matlab 7.9.0 (R2009b)
% Tato funkce slouží k  výpočtu teploty se zarovnaných snímků
% Tato funkce se volá jako:
% [FileName]=metadata(FileName,N,path1,X,Y,Data)
%
% Vstupy:
% FileName - soubor s informacemi o analyzovaných snímcích
% path1 - cesta ke snímkům
% N - počet snímků
% [X,Y] - souřadnice analyzovaných pixelů
% Data - informace o nastavení termokamery
%
% Výstupy:
% Filename - soubor s informacemi o analyzovaných snímcích, přibyly
% informace o teplote

function [FileName]=metadata(FileName,N,path1,X,Y,Data)
store=[]; % vytvoření pomocné promněné
A=cell(1,N); % vytvoření pomocné promněné
A1=cell(1,N); % vytvoření pomocné promněné
for k=1:N
name=FileName{1,k}; 
[T,store]=teplota(path1,[name(1:end-3),'tif'],Data,X,Y,store); % výpečet teploty
A1{1,k}=T;
end

store1=unique(store);
for i=1:N  
    T=A1{1,i};
    for j=length(store1):-1:1 % odstranění deformačního pole
        T(j)=[];
    end

A1{1,i}=T; % uložení teploty
t_extr=[min(T),max(T)]; % výpočet extremů - minimální a maximální teplota
t_med=mean(T); % výpočet průmerné teploty
t_Extr=[t_extr,t_med]; % uložení
 A{1,i}=t_Extr; 
end
FileName=[FileName;A1]; % uložení
FileName=[FileName;A];
